mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# CrawlerThreads

## Name

CrawlerThreads -- sets the number of indexer threads started for crawling

`indexer.conf`

## Synopsis

CrawlerThreads {number}

## Description

CrawlerThreads defines the number of crawling threads to start by default, when the `-N` command line option is not given to indexer.

More threads usually give better crawling speed (especially when working with remote sites), but consumes more CPU time and loads the database higher.

The default value is `1`.

## Scope

CrawlerThreads takes global effect for the entire configuration file and should be used only one time.

## Examples

    CrawlerThreads 10

## See also

the Section called Running multiple indexer instances for crawling in Chapter 3, URLSelectSkipLock.

Prev | Home | Next
CrawlDelay | Up | CrossWords